# Class TimeLineChartMaker

java.lang.Object
net.sf.statcvs.charts.TimeLineChartMaker

public class TimeLineChartMaker extends Object
Creates charts from `TimeLine`s.

Version:
  $Id: TimeLineChartMaker.java,v 1.11 2009/04/25 16:36:20 benoitx Exp $
Author:
  Richard Cyganiak

## Constructor Summary

Constructors
Constructor
Description
`TimeLineChartMaker(String chartName, ReportConfig config, TimeLine timeLine, String fileName, Collection symbolicNames)`
Creates a chart from a time line.

## Method Summary

Modifier and Type
Method
Description
`ChartImage`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeLineChartMaker

public TimeLineChartMaker(String chartName, ReportConfig config, TimeLine timeLine, String fileName, Collection symbolicNames)
Creates a chart from a time line.

Parameters:
  `config` - The configuration to use
  `timeLine` - the time line data for the chart
  `fileName` - the file name for the PNG image

## Method Details

### toFile

public ChartImage toFile()